org.apache.cxf.workqueue

## Class AutomaticWorkQueueImpl

- java.lang.Object
- - org.apache.cxf.workqueue.AutomaticWorkQueueImpl

- All Implemented Interfaces:
    Executor, AutomaticWorkQueue, WorkQueue

      public class AutomaticWorkQueueImpl
      extends Object
      implements AutomaticWorkQueue

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutomaticWorkQueueImpl()`
    `AutomaticWorkQueueImpl(int max)`
    `AutomaticWorkQueueImpl(int mqs, int initialThreads, int highWaterMark, int lowWaterMark, long dequeueTimeout)`
    `AutomaticWorkQueueImpl(int mqs, int initialThreads, int highWaterMark, int lowWaterMark, long dequeueTimeout, String name)`
    `AutomaticWorkQueueImpl(int max, String name)`
    `AutomaticWorkQueueImpl(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangeListener(PropertyChangeListener listener)`
    `void` | `addSharedUser()`
    `void` | `execute(Runnable command)`
    `void` | `execute(Runnable work, long timeout)` Submits a work item for execution at some time in the future, waiting for up to a specified amount of time for the item to be accepted.
    `int` | `getActiveCount()`
    `protected ThreadPoolExecutor` | `getExecutor()`
    `int` | `getHighWaterMark()`
    `int` | `getInitialSize()`
    `int` | `getLargestPoolSize()`
    `int` | `getLowWaterMark()`
    `long` | `getMaxSize()` Gets the maximum size (capacity) of the backing queue.
    `String` | `getName()` Get's the name of the workqueue
    `int` | `getPoolSize()`
    `Dictionary<String,String>` | `getProperties()`
    `int` | `getShareCount()`
    `long` | `getSize()` Gets the current size of the backing queue.
    `boolean` | `isEmpty()`
    `boolean` | `isFull()`
    `boolean` | `isShared()`
    `boolean` | `isShutdown()` Returns true if this object has been shut down.
    `void` | `notifyChangeListeners(PropertyChangeEvent event)`
    `void` | `removeChangeListener(PropertyChangeListener listener)`
    `void` | `removeSharedUser()`
    `void` | `schedule(Runnable work, long delay)` Schedules a work item for execution at some time in the future.
    `void` | `setDequeueTimeout(long l)`
    `void` | `setHighWaterMark(int hwm)`
    `void` | `setInitialSize(int initialSize)`
    `void` | `setLowWaterMark(int lwm)`
    `void` | `setName(String s)`
    `void` | `setQueueSize(int size)`
    `void` | `setShared(boolean shared)`
    `void` | `shutdown(boolean processRemainingWorkItems)` Initiates an orderly shutdown.
    `String` | `toString()`
    `void` | `update(Dictionary<String,String> config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AutomaticWorkQueueImpl

          public AutomaticWorkQueueImpl()

    - #### AutomaticWorkQueueImpl

          public AutomaticWorkQueueImpl(String name)

    - #### AutomaticWorkQueueImpl

          public AutomaticWorkQueueImpl(int max)

    - #### AutomaticWorkQueueImpl

          public AutomaticWorkQueueImpl(int max,
                                        String name)

    - #### AutomaticWorkQueueImpl

          public AutomaticWorkQueueImpl(int mqs,
                                        int initialThreads,
                                        int highWaterMark,
                                        int lowWaterMark,
                                        long dequeueTimeout)

    - #### AutomaticWorkQueueImpl

          public AutomaticWorkQueueImpl(int mqs,
                                        int initialThreads,
                                        int highWaterMark,
                                        int lowWaterMark,
                                        long dequeueTimeout,
                                        String name)

  - ### Method Detail

    - #### addChangeListener

          public void addChangeListener(PropertyChangeListener listener)

    - #### removeChangeListener

          public void removeChangeListener(PropertyChangeListener listener)

    - #### notifyChangeListeners

          public void notifyChangeListeners(PropertyChangeEvent event)

    - #### setShared

          public void setShared(boolean shared)

    - #### isShared

          public boolean isShared()

    - #### addSharedUser

          public void addSharedUser()

    - #### removeSharedUser

          public void removeSharedUser()

    - #### getShareCount

          public int getShareCount()

    - #### getExecutor

          protected ThreadPoolExecutor getExecutor()

    - #### setName

          public void setName(String s)

    - #### getName

          public String getName()

      Description copied from interface: `AutomaticWorkQueue`
      Get's the name of the workqueue
      Specified by:
        `getName` in interface `AutomaticWorkQueue`
      Returns:
        the name

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### execute

          public void execute(Runnable command)

      Specified by:
        `execute` in interface `Executor`

    - #### execute

          public void execute(Runnable work,
                              long timeout)

      Description copied from interface: `WorkQueue`
      Submits a work item for execution at some time in the future, waiting for up to a specified amount of time for the item to be accepted.
      Specified by:
        `execute` in interface `WorkQueue`
      Parameters:
        `work` - the workitem to submit for execution.
        `timeout` - the maximum amount of time (in milliseconds) to wait for it to be accepted.

    - #### schedule

          public void schedule(Runnable work,
                               long delay)

      Description copied from interface: `WorkQueue`
      Schedules a work item for execution at some time in the future.
      Specified by:
        `schedule` in interface `WorkQueue`
      Parameters:
        `work` - the task to submit for execution.
        `delay` - the delay before the task is executed

    - #### shutdown

          public void shutdown(boolean processRemainingWorkItems)

      Description copied from interface: `AutomaticWorkQueue`
      Initiates an orderly shutdown. If `processRemainingWorkItems` is true, waits for all active items to finish execution before returning, otherwise returns immediately after removing all non active items from the queue.
      Specified by:
        `shutdown` in interface `AutomaticWorkQueue`

    - #### getMaxSize

          public long getMaxSize()

      Gets the maximum size (capacity) of the backing queue.
      Returns:
        the maximum size (capacity) of the backing queue.

    - #### getSize

          public long getSize()

      Gets the current size of the backing queue.
      Returns:
        the current size of the backing queue.

    - #### isEmpty

          public boolean isEmpty()

    - #### isFull

          public boolean isFull()

    - #### getHighWaterMark

          public int getHighWaterMark()

    - #### getLowWaterMark

          public int getLowWaterMark()

    - #### getInitialSize

          public int getInitialSize()

    - #### setHighWaterMark

          public void setHighWaterMark(int hwm)

    - #### setLowWaterMark

          public void setLowWaterMark(int lwm)

    - #### setInitialSize

          public void setInitialSize(int initialSize)

    - #### setQueueSize

          public void setQueueSize(int size)

    - #### setDequeueTimeout

          public void setDequeueTimeout(long l)

    - #### isShutdown

          public boolean isShutdown()

      Description copied from interface: `AutomaticWorkQueue`
      Returns true if this object has been shut down.
      Specified by:
        `isShutdown` in interface `AutomaticWorkQueue`
      Returns:
        true if this object has been shut down.

    - #### getLargestPoolSize

          public int getLargestPoolSize()

    - #### getPoolSize

          public int getPoolSize()

    - #### getActiveCount

          public int getActiveCount()

    - #### update

          public void update(Dictionary<String,String> config)

    - #### getProperties

          public Dictionary<String,String> getProperties()

Apache CXF